Subject: Bug#3986: inconsistency between base and sysvinit packages!

From: Miquel van Smoorenburg <[email-masked]>
Date: Thu, 1 Aug 1996 13:04:32 +0200 (MET DST)

You (Carlos Carvalho) wrote:
> The newer base packages create /dev/tty* with permission rw-rw----.
> This causes an error when you try to open an xterm/rxvt window. They
> quit with "couldn't open a pseudo-terminal" msg. I don't know whose
> fault it is.
> 
> However, the newest sysvinit has this command in the boot script:
> 
> chmod 666 /dev/tty[pqrs]*
> 
> So there seems to be a disagreement between the maintainers, no?

I think that /dev/ttyp* and /dev/pty* should be 666, otherwise every
program using ptys would have to be setuid or setgid at least.

While on the subject of /dev, Bruce, could you include more tty devices?
The base package has isdn devices, soundblaster devices etc. but only
ttyS0..3 are included. I happened to install a FourPort yesterday and
had to make them by hand (tty4..7). The /etc/rc.boot/0setserial does
indeed reference those ports but it doesn't print an error message if
they're missing.

Mike.
-- 
  Miquel van    | Cistron Internet Services   --    Alphen aan den Rijn.
  Smoorenburg,  | mailto:[email-masked]          http://www.cistron.nl/
[email-masked] | Tel: +31-172-419445 (Voice) 430979 (Fax) 442580 (Data)